##############################################################################
# Screens pour les pauses
#
screen ecran_pause():
    
    # On empêche d'interagir avec ce qui est affiché en dessous
    modal True
    
    # Le volume de la musique et du son ont été transmis à l'affichage du screen
    # on met les volumes de la musique et des sons à zéro quand on rentre dans le screen
    on "show" action [SetVariable('music', _preferences.get_volume('music')),SetVariable('son', _preferences.get_volume('sfx')), SetMixer("music",0.0),SetMixer("sfx",0.0)]
    # on le remet les volumes à leur niveau initial quand on sort du screen
    on "hide" action [SetMixer("music",music),SetMixer("sfx",son)]
    
    # on recouvre l'écran avec un voile noir semi-transparent
    add Solid("#000c")
    
    # on utilise un tooltip pour afficher la légende du bouton pause qui suit
    default tt = Tooltip("")
    text tt.value align(0.65,0.5)
    
    # on ajoute un signe de pause, qui sert de bouton
    imagebutton:
        auto "gui/pause/icone_pause_%s.png" align (0.5,0.5)
        focus_mask True
        action Hide("ecran_pause")
        hovered tt.Action(_("Reprendre"))
        
    

init -2:
    style menu_pause_frame:
        background None
    style menu_pause_text:
        color "#fff"
        size 20

##############################################################################
# Menu général
#
# Ceci met le "menu général" comme menu par défaut
init python:
    _game_menu_screen = "menu_general"

screen menu_general:
    # Ecran qui s'affiche quand on clique droit ou qu'on y accède par l'accueil ou le menu rapide
       
    # Pour être sûr que tout autre menu est remplacé
    tag menu

    # Fond du menu jeu
    window:
        style "gm_root"

    # Boutons de navigation.
    frame:
        style_group "mg_nav"
        xalign 0.5
        yalign 0.5

        has vbox
        
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE0DA{/font}\nPreferences") action ShowMenu("preferences")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE003{/font}\nReturn") action Return()
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE021{/font}\nLoad Game") action ShowMenu("load")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE078{/font}\nMain Menu") action MainMenu()
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE021{/font}\nSave Game") action ShowMenu("save")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE0AB{/font}\nQuit") action Quit()

init -2 python:
    style.mg_nav_button.size_group = "mg_nav"
    style.mg_nav_button.xpadding = 10
    style.mg_nav_button.ypadding = 10
