#Images pour les crédits
image credits logiciels = "credits-logiciels.png"
image credits auteur = "korova.png"

# fonction pour l'affichage de la licence des assets dans les crédits
init python :
    def affich_licence (lic,version):
        #lic doit être un tableau avec les diverses variantes de licences CC (aka by, sa, nc) ou le chaîne "zero" pour CC0
        # Version correspond à la version de CC (2.0,3.0,4.0) ou None pour CC0
        im = ""
        txt = ""
        lien = ""

        # cas de la licence cc0 (domaine public)
        if lic == "zero":
            if _preferences.language == None:
                return "{image=cc/Cc-zero.png} {a=https://creativecommons.org/publicdomain/zero/1.0/deed.fr}CC0 (Domaine public){/a}"
            else:
                return "{image=cc/Cc-zero.png} {a=https://creativecommons.org/publicdomain/zero/1.0}CC0 (Public domain){/a}"
        # Autres licences CC
        else:
            for el_lic in lic:
                # On ajoute les diverses images
                im += "{image=cc/Cc-" + el_lic +".png} "
                # texte affiché à l'écran
                txt += "-" + el_lic.upper()
                # construction du lien vers l'explication des licences (le by est toujours présent, on n'ajoute que les autres)
                if el_lic == 'by':
                    pass
                else:
                    lien += "-" + el_lic
            # exemple de résultat obtenu
            #{image=cc/Cc-by.png} {image=cc/Cc-sa.png}  {a=http://creativecommons.org/licenses/by-sa/2.0/fr/} CC-BY-SA{/a}
            chaine = im + "{a=http://creativecommons.org/licenses/by" + lien + "/" + version
            if _preferences.language == None:
                chaine += "/fr"
            chaine += "/}CC" + txt + "{/a}"
            return chaine

# fonctions pour activer les hyperliens https
    def new_hyperlink_style(target):
        return style.hyperlink_text

    def new_hyperlink_function(target):
        if target.startswith("http:") or target.startswith("https:"):
            try:
                import webbrowser
                webbrowser.open(target)
            except:
                pass
        else:
            renpy.call_in_new_context(target)

    # Redéfinition des fonctions d'hyperliens avec les nouvelles cibles
    style.default.hyperlink_functions = (new_hyperlink_style, new_hyperlink_function, None)


#################################################################################################
# Definitions d'images pour les icones du menu rapide
define music = 0.0  # on initialise les viaraible qui vont servir à conserver la valeur des mixers
define son = 0.0    # sinon après il y aura des erreurs

define quick_boutons = [
                {
                "image" : u"\uE092",
                "texte":_("Pause"),
                "action":Show("ecran_pause"),
                "nom":"pause"},
                {
                "image" : u"\uE0B0",
                "texte":_("Help"),
                "action":Help(),
                "nom":"aide"},
                {
                "image" : u"\uE093",
                "texte":_("Auto On"),
                "action":Preference("auto-forward", "toggle"),
                "nom":"avance_auto"},
                {
                "image" : u"\uE095",
                "texte":_("Back"),
                "action":Rollback(),
                "nom":"rollback"},
                {
                "image" : u"\uE041",
                "texte":_("Options"),
                "action":ShowMenu('menu_general'),
                "nom":"prefs"}
                #{
                #"image" : u"\uE09B",
                #"texte":_("Main Menu"),
                #"action":MainMenu(),
                #"nom":"menu_princ"},
                #{
                #"image" : u"\uE0AB",
                #"texte":_("Quit"),
                #"action":Quit(),
                #"nom":"quitter"}
                ]

#--------------------------------------------------------------------------------------------------
# Ajout de variables de configuration pour éviter la disparition du texte pendant les transitions
init python:
    config.empty_window = nvl_show_core
    config.window_hide_transition = dissolve
    config.window_show_transition = dissolve

# Ajout d'une variable persistente pour déclencher l'affichage d'un mode d'emploi rapide lors de la toute premiere lecture
define persistent.premiere_fois = True


# Ecran d'accueil à la première lecture (permet ausi le choix de la langue)
screen premiere_fois():
    vbox:
        style_group "accueil"
        xalign 0.5
        yalign 0.50
        spacing 20

        text "C'est votre première lecture ?"
        textbutton "Vous voulez quelques explications ?":
            #style "accueil_texte"
            xsize 300
            action [Language(None), Jump("howto")]
        textbutton "Merci, je vais me débrouiller.":
            xsize 300
            action [Language(None), Return()]

        text "It seems it's your first time reading..."
        textbutton "Would you like a quick how-to?":
            xsize 300
            action [Language("en"), Jump("howto")]
        textbutton "Thanks, I'll be OK.":
            xsize 300
            action [Language("en"), Return()]

init -2:

    style accueil_texte:
        #outlines [(2,couleur_ombre,0,0),(1,couleur_exterieur,0,0)]
        text_align 0.5
        xalign 0.5
        yalign 0.5

    style accueil_button:
        xalign 0.5
#######################################################################################################################################

# Splashscreen => présentation de l'auteur et affichage évenutel de l'écran "première fois" (qui permet de choisir la langue et donner un rapide how-to si besoin)
label splashscreen:

    scene expression "chocolat/fond-aide.jpg"
    show credits auteur at truecenter
    show expression Text( _("Korova présente"), font="MedievalSharp-Bold.ttf", size=30, xalign=0.5, yalign= 0.75, color="#fff")
    with dissolve
    pause 3.0

    # Si c'est la première fois que le joueur ouvre le visual novel, on lui propose un mode d'emploi
    if persistent.premiere_fois:
        $ persistent.premiere_fois = False

        # affichage du fond
        scene expression "chocolat/fond-aide.jpg"
        #show legende accueil
        call screen premiere_fois
        # En fonction du choix réalisé dans le screen, on va aller vers la présentation basique
        # ou revenir ici, et donc passer à l'écran d'accueil (main menu)


    return
#--------------------------------------------------------------------------------------------------
# Si le lecteur est là pour la première fois, on lui propose quelques explications
# s'il n'est pas familier avec le système du VN
define pf = Character(None, kind=nvl, what_color = "#ccc", window_left_padding = -400)

#--------------------------------------------------------------------------------------------------
# Définition d'une flèche clignotante pour le howto "première fois"
# pour désigner les icones kivonbien
image fleche:
    Text ("=>",color="#ff0")
    0.5
    Null()
    0.5
    repeat

label howto:
    scene expression "chocolat/fond-aide.jpg"

    pf "(Cliquez ou appuyez sur espace pour avancer.)"
    pf "\nVous allez lire un Visual Novel. Dans ce cas, il s'agit d'un récit multimédia (texte + images + musique et effets sonores)"
    pf "Pour faire défiler le texte, il vous suffit de cliquer avec le bouton gauche de la souris ou d'appuyer sur la touche espace."
    show fleche:
        xpos 1035-20
        ypos 538-12
    pf "Si vous désirez que l'histoire avance automatiquement, sans intervention de votre part, vous pouvez utiliser la fonction d'avance automatique, en bas à droite de l'écran."
    show fleche:
        #xpos 1035
        ypos 585-12
    pf "La vitesse de défilement du texte peut être modifiée dans le menu des réglages, acessible à partir de l'icône des options. Vous pouvez également modifier le volume de la musique et des effets sonores."
    show fleche:
        #xpos 1035
        ypos 517-12
    pf "Cette introduction n'est accessible qu'à la première lecture. Pour en savoir plus sur les fonctionnalités du logiciel, utilisez désormais l'icône d'aide."
    hide fleche

    nvl clear

    centered "Bonne lecture !"

    # Penser à effacer l'écran !
    nvl clear

    # On peut désormais afficher l'écran d'accueil
    return

#######################################################################################################################################
# Le jeu commence ici
label start:

    jump chocolat


#######################################################################################################################################
# Fin du jeu et Message de remerciement avant de quitter
label fin:
    scene expression Solid("#000") with dissolve
    $ greeting = _("Merci d'avoir lu !")
    show expression Text("[greeting!t]",size=30) at truecenter
    pause 5.0 # effacement automatique au bout de 5 secondes ou sur intervention du lecteur

    return
